### Method

# Gimp PDB run_procedure

unstable since: 3.0

#### Declaration [src]

    GimpValueArray*
    gimp_pdb_run_procedure (
      GimpPDB* pdb,
      const gchar* procedure_name,
      GType first_type,
      ...
    )

#### Description [src]

Runs the procedure named `procedure_name` with arguments given as list of (`GType`, value) pairs, terminated by #G_TYPE_NONE.

Available since: 3.0

This method is not directly available to language bindings.

The implementation of this method is provided by `gimp_pdb_run_procedure_argv()` in language bindings

#### Parameters

`procedure_name`

  Type: `const gchar*`

  The procedure registered name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`first_type`

  Type: `GType`

  The `GType` of the first argument, or #G_TYPE_NONE.

`...`

  Type: ``

  The call arguments.

#### Return value

Type: `GimpValueArray`

The return values for the procedure call.

The caller of the method takes ownership of the data, and is responsible for freeing it.